PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::MaterialCache Struct Reference

`#include <plask/material/material.hpp>`

## Public Member Functions
bool | operator== (const MaterialCache &other) const

## Public Attributes
plask::optional< double > | lattC
plask::optional< double > | Eg
plask::optional< double > | CB
plask::optional< double > | VB
plask::optional< double > | Dso
plask::optional< double > | Mso
plask::optional< Tensor2< double > > | Me
plask::optional< Tensor2< double > > | Mhh
plask::optional< Tensor2< double > > | Mlh
plask::optional< Tensor2< double > > | Mh
plask::optional< double > | ac
plask::optional< double > | av
plask::optional< double > | b
plask::optional< double > | d
plask::optional< double > | c11
plask::optional< double > | c12
plask::optional< double > | c44
plask::optional< double > | eps
plask::optional< Tensor3< dcomplex > > | Eps
plask::optional< double > | chi
plask::optional< double > | Na
plask::optional< double > | Nd
plask::optional< double > | Ni
plask::optional< double > | Nf
plask::optional< double > | EactD
plask::optional< double > | EactA
plask::optional< Tensor2< double > > | mob
plask::optional< Tensor2< double > > | cond
plask::optional< double > | A
plask::optional< double > | B
plask::optional< double > | C
plask::optional< double > | D
plask::optional< Tensor2< double > > | thermk
plask::optional< double > | dens
plask::optional< double > | cp
plask::optional< double > | nr
plask::optional< double > | absp
plask::optional< dcomplex > | Nr
plask::optional< Tensor2< double > > | mobe
plask::optional< Tensor2< double > > | mobh
plask::optional< double > | taue
plask::optional< double > | tauh
plask::optional< double > | Ce
plask::optional< double > | Ch
plask::optional< double > | e13
plask::optional< double > | e15
plask::optional< double > | e33
plask::optional< double > | c13
plask::optional< double > | c33
plask::optional< double > | Psp
plask::optional< double > | y1
plask::optional< double > | y2
plask::optional< double > | y3

## Detailed Description

Definition at line 1022 of file material.hpp.

## Member Function Documentation

## ◆ operator==()

bool plask::MaterialCache::operator== | ( | const MaterialCache & | other | ) | const
| inline

Definition at line 1077 of file material.hpp.

## Member Data Documentation

## ◆ A

plask::optional<double> plask::MaterialCache::A

Definition at line 1051 of file material.hpp.

## ◆ absp

plask::optional<double> plask::MaterialCache::absp

Definition at line 1059 of file material.hpp.

## ◆ ac

plask::optional<double> plask::MaterialCache::ac

Definition at line 1033 of file material.hpp.

## ◆ av

plask::optional<double> plask::MaterialCache::av

Definition at line 1034 of file material.hpp.

## ◆ b

plask::optional<double> plask::MaterialCache::b

Definition at line 1035 of file material.hpp.

## ◆ B

plask::optional<double> plask::MaterialCache::B

Definition at line 1052 of file material.hpp.

## ◆ C

plask::optional<double> plask::MaterialCache::C

Definition at line 1053 of file material.hpp.

## ◆ c11

plask::optional<double> plask::MaterialCache::c11

Definition at line 1037 of file material.hpp.

## ◆ c12

plask::optional<double> plask::MaterialCache::c12

Definition at line 1038 of file material.hpp.

## ◆ c13

plask::optional<double> plask::MaterialCache::c13

Definition at line 1070 of file material.hpp.

## ◆ c33

plask::optional<double> plask::MaterialCache::c33

Definition at line 1071 of file material.hpp.

## ◆ c44

plask::optional<double> plask::MaterialCache::c44

Definition at line 1039 of file material.hpp.

## ◆ CB

plask::optional<double> plask::MaterialCache::CB

Definition at line 1025 of file material.hpp.

## ◆ Ce

plask::optional<double> plask::MaterialCache::Ce

Definition at line 1065 of file material.hpp.

## ◆ Ch

plask::optional<double> plask::MaterialCache::Ch

Definition at line 1066 of file material.hpp.

## ◆ chi

plask::optional<double> plask::MaterialCache::chi

Definition at line 1042 of file material.hpp.

## ◆ cond

plask::optional<Tensor2<double> > plask::MaterialCache::cond

Definition at line 1050 of file material.hpp.

## ◆ cp

plask::optional<double> plask::MaterialCache::cp

Definition at line 1057 of file material.hpp.

## ◆ d

plask::optional<double> plask::MaterialCache::d

Definition at line 1036 of file material.hpp.

## ◆ D

plask::optional<double> plask::MaterialCache::D

Definition at line 1054 of file material.hpp.

## ◆ dens

plask::optional<double> plask::MaterialCache::dens

Definition at line 1056 of file material.hpp.

## ◆ Dso

plask::optional<double> plask::MaterialCache::Dso

Definition at line 1027 of file material.hpp.

## ◆ e13

plask::optional<double> plask::MaterialCache::e13

Definition at line 1067 of file material.hpp.

## ◆ e15

plask::optional<double> plask::MaterialCache::e15

Definition at line 1068 of file material.hpp.

## ◆ e33

plask::optional<double> plask::MaterialCache::e33

Definition at line 1069 of file material.hpp.

## ◆ EactA

plask::optional<double> plask::MaterialCache::EactA

Definition at line 1048 of file material.hpp.

## ◆ EactD

plask::optional<double> plask::MaterialCache::EactD

Definition at line 1047 of file material.hpp.

## ◆ Eg

plask::optional<double> plask::MaterialCache::Eg

Definition at line 1024 of file material.hpp.

## ◆ eps

plask::optional<double> plask::MaterialCache::eps

Definition at line 1040 of file material.hpp.

## ◆ Eps

plask::optional<Tensor3<dcomplex> > plask::MaterialCache::Eps

Definition at line 1041 of file material.hpp.

## ◆ lattC

plask::optional<double> plask::MaterialCache::lattC

Definition at line 1023 of file material.hpp.

## ◆ Me

plask::optional<Tensor2<double> > plask::MaterialCache::Me

Definition at line 1029 of file material.hpp.

## ◆ Mh

plask::optional<Tensor2<double> > plask::MaterialCache::Mh

Definition at line 1032 of file material.hpp.

## ◆ Mhh

plask::optional<Tensor2<double> > plask::MaterialCache::Mhh

Definition at line 1030 of file material.hpp.

## ◆ Mlh

plask::optional<Tensor2<double> > plask::MaterialCache::Mlh

Definition at line 1031 of file material.hpp.

## ◆ mob

plask::optional<Tensor2<double> > plask::MaterialCache::mob

Definition at line 1049 of file material.hpp.

## ◆ mobe

plask::optional<Tensor2<double> > plask::MaterialCache::mobe

Definition at line 1061 of file material.hpp.

## ◆ mobh

plask::optional<Tensor2<double> > plask::MaterialCache::mobh

Definition at line 1062 of file material.hpp.

## ◆ Mso

plask::optional<double> plask::MaterialCache::Mso

Definition at line 1028 of file material.hpp.

## ◆ Na

plask::optional<double> plask::MaterialCache::Na

Definition at line 1043 of file material.hpp.

## ◆ Nd

plask::optional<double> plask::MaterialCache::Nd

Definition at line 1044 of file material.hpp.

## ◆ Nf

plask::optional<double> plask::MaterialCache::Nf

Definition at line 1046 of file material.hpp.

## ◆ Ni

plask::optional<double> plask::MaterialCache::Ni

Definition at line 1045 of file material.hpp.

## ◆ nr

plask::optional<double> plask::MaterialCache::nr

Definition at line 1058 of file material.hpp.

## ◆ Nr

plask::optional<dcomplex> plask::MaterialCache::Nr

Definition at line 1060 of file material.hpp.

## ◆ Psp

plask::optional<double> plask::MaterialCache::Psp

Definition at line 1072 of file material.hpp.

## ◆ taue

plask::optional<double> plask::MaterialCache::taue

Definition at line 1063 of file material.hpp.

## ◆ tauh

plask::optional<double> plask::MaterialCache::tauh

Definition at line 1064 of file material.hpp.

## ◆ thermk

plask::optional<Tensor2<double> > plask::MaterialCache::thermk

Definition at line 1055 of file material.hpp.

## ◆ VB

plask::optional<double> plask::MaterialCache::VB

Definition at line 1026 of file material.hpp.

## ◆ y1

plask::optional<double> plask::MaterialCache::y1

Definition at line 1073 of file material.hpp.

## ◆ y2

plask::optional<double> plask::MaterialCache::y2

Definition at line 1074 of file material.hpp.

## ◆ y3

plask::optional<double> plask::MaterialCache::y3

Definition at line 1075 of file material.hpp.

The documentation for this struct was generated from the following file:

- plask/material/material.hpp